import { type Base, genBase } from "./_base";
import { genProcedureRoom, type ProcedureRoom } from "./procedure-room";

export interface Infra extends Base {
  code: string
  name: string
  infraGroup_code: string
  parent_id?: number | string | null
  unit_id?: number | string | null
  specialist_id?: number | string | null
  subspecialist_id?: number | string | null
  procedureRoom?: ProcedureRoom
}

export function genInfra(): Infra {
  return {
    ...genBase(),
    code: '',
    name: '',
    infraGroup_code: '',
    parent_id: null,
    unit_id: null,
    specialist_id: null,
    subspecialist_id: null,
    procedureRoom: genProcedureRoom(),
  }
}
